Scientific Linux Security Update : poppler on SL7.x x86_64

High Nessus Plugin ID 128252

Synopsis

The remote Scientific Linux host is missing one or more security updates.

Description

Security Fix(es) :

- poppler: heap-based buffer over-read in XRef::getEntry in XRef.cc (CVE-2019-7310)

- poppler: heap-based buffer overflow in function ImageStream::getLine() in Stream.cc (CVE-2019-9200)

- poppler: infinite recursion in Parser::getObj function in Parser.cc (CVE-2018-16646)

- poppler: memory leak in GfxColorSpace::setDisplayProfile in GfxState.cc (CVE-2018-18897)

- poppler: reachable abort in Object.h (CVE-2018-19058)

- poppler: out-of-bounds read in EmbFile::save2 in FileSpec.cc (CVE-2018-19059)

- poppler: pdfdetach utility does not validate save paths (CVE-2018-19060)

- poppler: NULL pointer dereference in
_poppler_attachment_new (CVE-2018-19149)

- poppler: NULL pointer dereference in the XRef::getEntry in XRef.cc (CVE-2018-20481)

- poppler: reachable Object::dictLookup assertion in FileSpec class in FileSpec.cc (CVE-2018-20650)

- poppler: SIGABRT PDFDoc::setup class in PDFDoc.cc (CVE-2018-20662)

- poppler: heap-based buffer over-read in function downsample_row_box_filter in CairoRescaleBox.cc (CVE-2019-9631)

Solution

Update the affected packages.

See Also

http://www.nessus.org/u?45e5b084

Plugin Details

Severity: High

ID: 128252

File Name: sl_20190806_poppler_on_SL7_x.nasl

Version: 1.1

Type: local

Agent: unix

Published: 2019/08/27

Updated: 2019/08/27

Dependencies: 12634

Risk Information

Risk Factor: High

CVSS v2.0

Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

CVSS v3.0

Base Score: 9.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Vulnerability Information

CPE: x-cpe:/o:fermilab:scientific_linux

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/RedHat/release, Host/RedHat/rpm-list

Patch Publication Date: 2019/08/06

Vulnerability Publication Date: 2018/09/06

Reference Information

CVE: CVE-2018-16646, CVE-2018-18897, CVE-2018-19058, CVE-2018-19059, CVE-2018-19060, CVE-2018-19149, CVE-2018-20481, CVE-2018-20650, CVE-2018-20662, CVE-2019-7310, CVE-2019-9200, CVE-2019-9631